# Class FixedPrecisionApcomplexField

java.lang.Object
java.lang.Number
org.jscience.mathematics.number.Number<FixedPrecisionApcomplexField>
org.apfloat.jscience.AbstractField<FixedPrecisionApcomplexField, Apcomplex>
org.apfloat.jscience.FixedPrecisionApcomplexField

All Implemented Interfaces:
  `Serializable, Comparable<FixedPrecisionApcomplexField>, Immutable, Realtime, ValueType, XMLSerializable, Field<FixedPrecisionApcomplexField>, GroupAdditive<FixedPrecisionApcomplexField>, GroupMultiplicative<FixedPrecisionApcomplexField>, Ring<FixedPrecisionApcomplexField>, Structure<FixedPrecisionApcomplexField>`

public class FixedPrecisionApcomplexField extends AbstractField<FixedPrecisionApcomplexField, Apcomplex>
This class represents a fixed-precision complex number. The precision is reset after each computation using the provided `FixedPrecisionApcomplexHelper`. This can help avoid accumulating round-off errors and loss of precision in complicated computations such as matrix inversion.

Since:
  1.8.0
Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedPrecisionApcomplexField(Apcomplex value, FixedPrecisionApcomplexHelper helper)`
  Constructs a new complex field object with the specified value and precision helper.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FixedPrecisionApcomplexField`
  `copy()`
  Returns a copy of this object.
  `FixedPrecisionApcomplexHelper`
  `helper()`
  Return the precision helper.
  `FixedPrecisionApcomplexField`
  `inverse()`
  Returns the multiplicative inverse of this object.
  `FixedPrecisionApcomplexField`
  `opposite()`
  Returns the additive inverse of this object.
  `FixedPrecisionApcomplexField`
  `plus(FixedPrecisionApcomplexField that)`
  Returns the sum of this object with the one specified.
  `FixedPrecisionApcomplexField`
  `times(FixedPrecisionApcomplexField that)`
  Returns the product of this object with the one specified.

  ### Methods inherited from class AbstractField

  `compareTo, doubleValue, equals, hashCode, isLargerThan, longValue, toText, value`

  ### Methods inherited from class Number

  `byteValue, floatValue, intValue, isGreaterThan, isLessThan, minus, pow, shortValue, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FixedPrecisionApcomplexField

    public FixedPrecisionApcomplexField(Apcomplex value, FixedPrecisionApcomplexHelper helper)
    Constructs a new complex field object with the specified value and precision helper.
    Parameters:
      `value` - The value.
      `helper` - The precision helper.

- ## Method Details

  - ### plus

    public FixedPrecisionApcomplexField plus(FixedPrecisionApcomplexField that)
    Description copied from class: `AbstractField`
    Returns the sum of this object with the one specified.
    Specified by:
      `plus` in interface `GroupAdditive<FixedPrecisionApcomplexField>`
    Specified by:
      `plus` in class `AbstractField<FixedPrecisionApcomplexField, Apcomplex>`
    Parameters:
      `that` - The addend.
    Returns:
      `this + that`

  - ### opposite

    public FixedPrecisionApcomplexField opposite()
    Description copied from class: `AbstractField`
    Returns the additive inverse of this object.
    Specified by:
      `opposite` in interface `GroupAdditive<FixedPrecisionApcomplexField>`
    Specified by:
      `opposite` in class `AbstractField<FixedPrecisionApcomplexField, Apcomplex>`
    Returns:
      `-this`

  - ### times

    public FixedPrecisionApcomplexField times(FixedPrecisionApcomplexField that)
    Description copied from class: `AbstractField`
    Returns the product of this object with the one specified.
    Specified by:
      `times` in interface `GroupMultiplicative<FixedPrecisionApcomplexField>`
    Specified by:
      `times` in interface `Ring<FixedPrecisionApcomplexField>`
    Specified by:
      `times` in class `AbstractField<FixedPrecisionApcomplexField, Apcomplex>`
    Parameters:
      `that` - The multiplicand.
    Returns:
      `this * that`

  - ### inverse

    public FixedPrecisionApcomplexField inverse() throws ArithmeticException
    Description copied from class: `AbstractField`
    Returns the multiplicative inverse of this object.
    Specified by:
      `inverse` in interface `GroupMultiplicative<FixedPrecisionApcomplexField>`
    Specified by:
      `inverse` in class `AbstractField<FixedPrecisionApcomplexField, Apcomplex>`
    Returns:
      `1 / this`
    Throws:
      `ArithmeticException` - If the divisor is zero.

  - ### copy

    public FixedPrecisionApcomplexField copy()
    Description copied from class: `AbstractField`
    Returns a copy of this object.
    Specified by:
      `copy` in interface `ValueType`
    Specified by:
      `copy` in class `AbstractField<FixedPrecisionApcomplexField, Apcomplex>`
    Returns:
      A copy of this object.

  - ### helper

    public FixedPrecisionApcomplexHelper helper()
    Return the precision helper.
    Returns:
      The precision helper.